Bug 269581 - Need provides: xen-hypervisor-abi = 3.1 in kernel-xen RPMs
Need provides: xen-hypervisor-abi = 3.1 in kernel-xen RPMs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-30 17:37 EDT by Daniel Berrange
Modified: 2009-12-14 15:38 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.20-2934.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 04:28:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2007-08-30 17:37:49 EDT
Description of problem:
We need a virtual provides line for the Xen hypervisor ABI added to the
kernel-xen RPMs. Since Xen has no ABI stability, we need to keep Xen and
kernel-xen in sync. Having the explicit hypervisor ABI as a dep will assist in
upgrade reliability:

  Provides: xen-hypervisor-abi = 3.1

Should add this to kernel-xen RPMs on F7, and rawhide.

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1. rpm -q --provides kernel-xen
  
Actual results:


Expected results:
xen-hypervisor-abi = 3.1

Additional info:

Also could do with 

  Provides: xen-hypervisor-abi = 3.0.3

In FC6 (but only if another kernel errata is planned before it goes end-of-life)
Comment 1 Eduardo Habkost 2007-08-30 18:44:29 EDT
Sent to CVS:
- Rawhide: kernel-xen-2.6-2.6.21-2934.fc8 or later (scratch build submitted: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=142398)
- F-7: kernel-xen-2.6-2.6.20-2933.fc7 or later (not sent to updates. will go 
to next F-7 update)
- FC-6: kernel-xen-2.6-2.6.20-1.3003.fc6 or later (not sent to updates. will 
go to next FC-6 update)
Comment 2 Fedora Update System 2007-09-17 23:13:59 EDT
kernel-xen-2.6-2.6.20-2934.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-09-25 04:28:49 EDT
kernel-xen-2.6-2.6.20-2934.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.